> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exam Details

> Returns the full exam object including configuration, permitted items, proctoring settings, and scheduling windows.<br/><br/>Also evaluates the LaunchDarkly virtual test center version feature flag for the requesting user.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}:
    get:
      tags:
        - Exam
      summary: Exam Details
      description: >-
        Returns the full exam object including configuration, permitted items,
        proctoring settings, and scheduling windows.<br/><br/>Also evaluates the
        LaunchDarkly virtual test center version feature flag for the requesting
        user.
      operationId: getV1InstallsInstallsidCoursesCoursesidExamsExamsid
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: >-
              Unique SID of the application install. Pattern: `AI` + 32 hex
              chars.
            example: AI1234567890abcdef1234567890abcdef
            pattern: ^AI[a-f0-9]{32}$
          description: 'Unique SID of the application install. Pattern: `AI` + 32 hex chars.'
          required: true
        - name: courseSid
          in: path
          schema:
            type: string
            description: 'Unique SID of the course. Pattern: `CU` + 32 hex chars.'
            example: CU1234567890abcdef1234567890abcdef
            pattern: ^CU[a-f0-9]{32}$
          description: 'Unique SID of the course. Pattern: `CU` + 32 hex chars.'
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: 'Unique SID of the exam to retrieve. Pattern: `EX` + 32 hex chars.'
            example: EX1234567890abcdef1234567890abcdef
            pattern: ^EX[a-f0-9]{32}$
          description: 'Unique SID of the exam to retrieve. Pattern: `EX` + 32 hex chars.'
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamResponse'
components:
  schemas:
    ExamResponse:
      type: object
      properties:
        sessionStatus:
          type: string
          description: Session status
          nullable: true
        sid:
          type: string
          description: Exam SID
          nullable: true
        courseSid:
          type: string
          description: Course SID
          nullable: true
        applicationInstallSid:
          type: string
          description: Application install SID
          nullable: true
        title:
          type: string
          description: Exam title
          nullable: true
        bVirtualTitle:
          type: string
          description: Virtual title
          nullable: true
        type:
          type: string
          description: Exam type
          nullable: true
        description:
          type: string
          description: Description
          nullable: true
        useProctorManager:
          type: boolean
          description: Use proctor manager
          nullable: true
        requireApproval:
          type: boolean
          description: Require approval
          nullable: true
        enableAppointmentSuggestions:
          type: boolean
          description: Enable appointment suggestions
          nullable: true
        url:
          type: string
          description: Exam URL
          nullable: true
        status:
          type: string
          description: Exam status
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        editDate:
          type: string
          description: Last modified date
          nullable: true
        contactUserSid:
          type: string
          description: Contact user SID
          nullable: true
        examDeliverySystemModule:
          type: string
          description: Exam delivery system module
          nullable: true
        summary:
          type: string
          description: Exam summary
          nullable: true
        pendingApprovals:
          type: number
          description: Pending approvals count
          nullable: true
        openSessionEvents:
          type: number
          description: Open session events count
          nullable: true
        course:
          type: string
          description: Course details
          nullable: true
        configuration:
          type: string
          description: Exam configuration
          nullable: true
        examSession:
          type: string
          description: Exam session
          nullable: true
        instructorName:
          type: string
          description: Instructor name
          nullable: true
        courseName:
          type: string
          description: Course name
          nullable: true
        totalSessions:
          type: number
          description: Total sessions
          nullable: true
        needsProctorSessions:
          type: number
          description: Sessions needing proctor
          nullable: true
        scriptName:
          type: string
          description: Script name
          nullable: true
        systemName:
          type: string
          description: System name
          nullable: true
        isLimitedScope:
          type: boolean
          description: Is limited scope
          nullable: true
        platformVersion:
          type: string
          description: Platform version
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````